Summary: Hard Hat Linux Base System Password/Group Files
Name: base-passwd
Version: 3.2.0
Release: %{_release_id}
Source: base-passwd_%{version}.tar.gz
Source1: base-passwd.tmpl
Patch: base-passwd-srcdir.patch
Patch1: base-passwd-hhl.diff
License: GPL
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
%define _docdir		%{_hhl_cross_target_dir}/%{_hhl_target_doc_dir}
Prefix: %{_hhl_cross_target_dir}

Obsoletes : hhl-target-base-passwd
Obsoletes : hhl-%{_hhl_target_arch}-base-passwd

%description
This package provides the master /etc/passwd and /etc/group files,
containing allocated user and group IDs, plus the update-passwd
utility to keep them up to date.

# base-passwd

%prep
%target_check
%setup -q -n base-passwd-%{version}
%patch -p1
%patch1 -p1


%build
%target_setup
%target_configure 2>&1 | tee ../build.log
%make


%install
rm -rf %{buildroot}
%target_setup

cp COPYING LICENSE

cd %{_objdir}
make DESTDIR=%{buildroot}%{_hhl_cross_target_dir} install

install -d -m 755 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd
install -p -m 644 ../{passwd,group}.master %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*

export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}

%clean
rm -rf %{buildroot}

%post -n %{pkgname} -n base-passwd
if [ ! -e ${RPM_INSTALL_PREFIX}%{_hhl_target_sysconf_dir}/passwd ] ; then
  cp ${RPM_INSTALL_PREFIX}%{_hhl_target_data_dir}/base-passwd/passwd.master ${RPM_INSTALL_PREFIX}%{_hhl_target_sysconf_dir}/passwd
fi
if [ ! -e ${RPM_INSTALL_PREFIX}%{_hhl_target_sysconf_dir}/group ] ; then
  cp ${RPM_INSTALL_PREFIX}%{_hhl_target_data_dir}/base-passwd/group.master ${RPM_INSTALL_PREFIX}%{_hhl_target_sysconf_dir}/group
fi

# We should run the update-passwd here....  obviously we need it to work both host and target!


%files -n base-passwd
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/update-passwd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/update-passwd.8.gz
%dir %{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd
%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd/passwd.master
%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd/group.master
%doc COPYING README build.log
%doc LICENSE


%changelog
* Thu Apr 19 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Jan 22 2001 Mark Hatle <fray@mvista.com>
- Initial check in


